# Interface DecimalWrapResponse

A response with an decimal numeric value, as Big.

#### Category

Requests

#### Hierarchy

- DecimalWrapResponse

- Defined in codec/lib/types.ts:856

#####
Index

### Properties

kind
partiallyRecognized?
reason?
value

## Properties

### kind

kind: "decimal"

Indicates that this is a DecimalWrapResponse.

- Defined in codec/lib/types.ts:860

### `Optional` partiallyRecognized

partiallyRecognized?: true

If present, indicates that the input was recognized but not as a decimal.

- Defined in codec/lib/types.ts:873

### `Optional` reason

reason?: string

If present, the reason the number wasn't recognized as a decimal.

- Defined in codec/lib/types.ts:869

### value

value: Big

The numeric value that was extracted, as a Big, or null, to indicate that the number format wasn't recognized.

- Defined in codec/lib/types.ts:865

Generated using TypeDoc